
Foreman - Bug #11816

Remove whitelist_attributes as it's deprecated

09/15/2015 06:50 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Security   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2720

  

Description

config.active_record.whitelist_attributes = false is already the default so it's not necessary, Rails 4 deprecates it so we can remove it.

Related issues:

Related to Foreman - Tracker #3157: Rails 4.1 upgrade tasks Closed 09/27/2013

Associated revisions

Revision 1b909134 - 09/16/2015 07:09 AM - Daniel Lobato Garcia

Fixes #11816 - Remove whitelist_attributes as it's deprecated

config.active_record.whitelist_attributes = false is already the default

so it's not necessary. Also Rails 4 deprecates it so we can remove it.

History

#1 - 09/15/2015 06:51 AM - Daniel Lobato Garcia

- Related to Tracker #3157: Rails 4.1 upgrade tasks added

#2 - 09/15/2015 06:52 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2720 added

- Pull request deleted ()

#3 - 09/16/2015 07:11 AM - Marek Hulán

- Category set to Security

- Assignee set to Daniel Lobato Garcia

- translation missing: en.field_release set to 63

#4 - 09/16/2015 08:02 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1b909134366ea5b8cb8ee58563cad0f7fc2f7dec.
